Subject: [bug#38824] [PATCH] gnu: mercurial: Update to 5.2.1.

From: Marius Bakke <[email-masked]>
Date: Mon, 06 Jan 2020 18:55:25 +0100

Ricardo Wurmus <[email-masked]> writes:

> LaFreniere, Joseph <[email-masked]> writes:
>
>> I think that for now the options are to
>> 1. continue using Python2 for Mercurial;
>> 2. use Python3 but disable all tests, as Janssen's patch suggests;
>> 3. use Python3 but disable the known-failing tests; or
>> 4. hold off on updating the package until upstream supports 
>> Python3 across its entire test suite.
>>
>> Of those three, I am most in favor of the third option.  I would 
>> be glad to submit a patch that implements it if there is agreement 
>> to take that direction.
>
> I agree that option 3 (with a link to the upstream discussion) is the
> right way to go forward.

That seems orthogonal to the discussed patch though, seeing as tests
have been disabled in Mercurial since forever.